<template>
  <main class="main">
    <app-wrapper />
    <section v-if="topServices.length" class="service-list py-5">
      <b-container>
        <b-row>
          <b-col v-for="(service, index) in topServices" :key="'service-' + index" :md="6" :lg="topServices.length === 3 ? 4 : 3">
            <div class="service-item mb-5 mb-md-4 mb-lg-0">
              <b-img :src="service.icon | image" :alt="service.title" fluid class="mb-0" />
              <h3 class="service-item__title text-center h5" :style="service.title.split(' ').length === 2 ? 'width: min-content;' : ''" v-html="service.title" />
              <div class="service-item__description small" v-html="service.body" />
            </div>
          </b-col>
        </b-row>
      </b-container>
    </section>
    <app-infoblocks class="border-top" :items="infoblocks" />
    <section v-if="bottomServices.length" class="service-list service-list--simple py-5">
      <b-container>
        <b-row>
          <b-col
            v-for="(service, index) in bottomServices"
            :key="'service-media-' + index"
            :md="bottomServices.length === 3 ? 4 : 3"
          >
            <b-media class="service-item mb-3 mb-md-0">
              <template v-slot:aside>
                <b-img :src="service.icon | image" :alt="service.title" />
              </template>
              <h3 class="service-item__title h6" v-html="service.title" />
              <div class="service-item__description" v-html="service.body" />
            </b-media>
          </b-col>
        </b-row>
      </b-container>
    </section>
    <b-jumbotron
      header-tag="h4"
      header-level="5"
      text-variant="dark"
      bg-variant="light"
      class="mb-0 text-center"
    >
      <template v-slot:header>
        <span class="ignoreBreak" v-html="$t('home.subtitle')" />
      </template>
      <b-button variant="primary" class="btn--bottomed mt-3" :to="localePath({ name: 'namebooks-id', params: {id: 1} })">
        {{ $t('create_book') }}
      </b-button>
    </b-jumbotron>
  </main>
</template>

<script>
import { mapGetters } from 'vuex'
import appWrapper from '~/components/Wrapper.vue'
import appInfoblocks from '~/components/Infoblocks.vue'

export default {
  name: 'AppHomePage',
  components: {
    appWrapper,
    appInfoblocks
  },
  async fetch ({ store }) {
    await store.dispatch('info/FETCH_SERVICES')
    await store.dispatch('info/FETCH_INFOBLOCKS')
  },
  computed: {
    ...mapGetters({
      services: 'info/getServices',
      infoblocks: 'info/getInfoblocks'
    }),
    topServices () {
      return this.services.filter(service => service.type === 'top')
    },
    bottomServices () {
      return this.services.filter(service => service.type === 'bottom')
    }
  }
}
</script>

<style lang="scss" scoped>
    //noinspection CssUnknownTarget
    @import "@/assets/scss/_variables.scss";
    @import "~bootstrap/scss/mixins/breakpoints";

    .service-list {
        &:not(.service-list--simple) {
            .service-item {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: flex-start;

                img {
                    margin: 0 auto 1rem;
                    position: relative;
                    width: 40%;
                    max-width: 15rem;
                    @include media-breakpoint-only(md) {
                        width: 25%;
                    }
                    @include media-breakpoint-down(sm) {
                      width: 20%;
                    }
                }

                &__title {
                    font-weight: bold;
                    color: $dark;
                    font-size: 1.1rem !important;
                    @include media-breakpoint-only(md) {
                        height: 2.5rem;
                    }
                    @include media-breakpoint-up(lg) {
                        height: 2.6rem;
                    }
                }

                &__description {
                    text-align: center;
                    color: lighten(black, 30%);
                }
            }
        }

        &.service-list--simple {
            .service-item {
                img {
                    margin: 0 auto 1rem;
                    position: relative;
                    width: 4rem;
                    max-height: 4rem;
                }

                &__title {
                    font-weight: bold;
                    color: $dark;
                }

                &__description {
                    color: lighten(black, 30%);
                    font-size: small;
                }
            }
        }
    }

    @include media-breakpoint-down(sm) {
        .jumbotron .display-5 {
          font-size: $font-size-lg;
        }
    }
</style>
